# eric4.Helpviewer.Passwords.PasswordModel

Module implementing a model for password management.

### Global Attributes

None

### Classes

PasswordModel | Class implementing a model for password management.

### Functions

None

## PasswordModel

Class implementing a model for password management.

### Derived from

QAbstractTableModel

### Class Attributes

None

### Class Methods

None

### Methods

PasswordModel | Constructor
__passwordsChanged | Private slot handling a change of the registered passwords.
columnCount | Public method to get the number of columns of the model.
data | Public method to get data from the model.
headerData | Public method to get the header data.
removeRows | Public method to remove entries from the model.
rowCount | Public method to get the number of rows of the model.
setShowPasswords | Public methods to show passwords.
showPasswords | Public method to indicate, if passwords shall be shown.

### Static Methods

None

#### PasswordModel (Constructor)

PasswordModel(manager, parent = None)

Constructor

manager
  reference to the password manager (PasswordManager)
parent
  reference to the parent object (QObject)

#### PasswordModel.__passwordsChanged

__passwordsChanged()

Private slot handling a change of the registered passwords.

#### PasswordModel.columnCount

columnCount(parent = QModelIndex())

Public method to get the number of columns of the model.

parent
  parent index (QModelIndex)

Returns:
  number of columns (integer)

#### PasswordModel.data

data(index, role)

Public method to get data from the model.

index
  index to get data for (QModelIndex)
role
  role of the data to retrieve (integer)

Returns:
  requested data (QVariant)

#### PasswordModel.headerData

headerData(section, orientation, role = Qt.DisplayRole)

Public method to get the header data.

section
  section number (integer)
orientation
  header orientation (Qt.Orientation)
role
  data role (integer)

Returns:
  header data (QVariant)

#### PasswordModel.removeRows

removeRows(row, count, parent = QModelIndex())

Public method to remove entries from the model.

row
  start row (integer)
count
  number of rows to remove (integer)
parent
  parent index (QModelIndex)

Returns:
  flag indicating success (boolean)

#### PasswordModel.rowCount

rowCount(parent = QModelIndex())

Public method to get the number of rows of the model.

parent
  parent index (QModelIndex)

Returns:
  number of rows (integer)

#### PasswordModel.setShowPasswords

setShowPasswords(on)

Public methods to show passwords.

on
  flag indicating if passwords shall be shown (boolean)

#### PasswordModel.showPasswords

showPasswords()

Public method to indicate, if passwords shall be shown.

Returns:
  flag indicating if passwords shall be shown (boolean)

Up